# Please update release notes:
# make -C SOURCES release-notes.{html,txt}
#

%define am_i_cooker 1
%if %am_i_cooker
%define distrib Cooker
%else
%define distrib Official
%endif
%define version 2012.0
%define rel 0.5
%define distname cooker
%define distsuffix mdv
%define distribution Mandriva Linux

%define product_vendor Mandriva
%define product_distribution %distribution
%define product_type Basic
%define product_version %version
%if %am_i_cooker
%define product_branch Devel
%else
%define product_branch Official
%endif
%define product_release 1
%define product_arch %{_target_cpu}

%define product_id_base vendor=%product_vendor,distribution=%product_distribution,type=%product_type,version=%product_version,branch=%product_branch,release=%product_release,arch=%product_arch

%if %am_i_cooker
    %define unstable %%_with_unstable --with-unstable
%endif

# The mandriva release, what is written on box
%define mandriva_release %version

# The mandriva branch: Cooker, Community or Official
%define mandriva_branch %distrib

# The mandriva arch, notice: using %_target_cpu is bad
# elsewhere because this depend of the config of the packager
# _target_cpu => package build for
# mandriva_arch => the distribution we are using
%define mandriva_arch %_target_cpu

# To be coherent with %mandriva_arch I provide os too
# be I wonder it will be linux for a long time
%define mandriva_os %_target_os

%define realversion %version
%define mdkver %(echo %version | sed 's/\\.//')0

Summary:	Mandriva release file
Name:		mandriva-release
Version:	%{version}
Release:	0.5
Epoch:		1
License:	GPLv2+
URL:		http://www.mandrivalinux.com/
Group:		System/Configuration/Other
Source0:	%{name}.tar.bz2
Source3:	CREDITS
# edited lynx -dump of wiki:
Source4:	release-notes.txt
Source5:	release-notes.html

%description
Mandriva Linux release file.

%package common
Summary:	Mandriva release common files
Group:		System/Configuration/Other
Conflicts:	%name < %version-%release
Obsoletes:	mandriva-release-Discovery
Obsoletes:	mandriva-release-Powerpack+
Obsoletes:	%name < %version-%release
Obsoletes:	rawhide-release
Obsoletes:	redhat-release
Obsoletes:	mandrake-release
Obsoletes:	mandrakelinux-release
# (tpg) older releases provides %{_sysconfdir}/os-release
Conflicts:	systemd < 37-5
Requires:	lsb-release

# cf mdvbz#32631
Provides:	arch(%_target_cpu)
Provides:	%arch_tagged mandriva-release-common

%description common
Common files for Mandriva Linux release packages.

%define release_package(s) \
%{-s:%package %1} \
Summary:	Mandriva release file%{?1: for %1} \
Group:		System/Configuration/Other \
Requires:	%{arch_tagged mandriva-release-common} \
Requires(post):	coreutils \
Provides:	redhat-release rawhide-release mandrake-release mandrakelinux-release \
Provides:	%name = %version-%release \

%define release_descr(s) \
%description %{-s:%1} \
Mandriva Linux release file for %1 flavor. \


%define release_post(s) \
%post %{-s:%1} \
ln -fs product.id.%1 %{_sysconfdir}/product.id


%define release_install(s) \
cat > %{buildroot}%{_sysconfdir}/product.id.%{1} << EOF \
%{product_id_base},product=%1\
EOF\
 \
mkdir -p %{buildroot}%_sys_macros_dir \
cat > %{buildroot}%_sys_macros_dir/%{1}.macros << EOF \
%%distribution      %distribution\
%%mandriva_release  %mandriva_release\
%%mandriva_branch   %mandriva_branch\
%%mandriva_arch     %mandriva_arch\
%%mandriva_os       %mandriva_os\
%%mandriva_class    %%(. %{_sysconfdir}/sysconfig/system; echo \\\$META_CLASS)\
%%mdkver            %mdkver\
%%mdvver            %%mdkver\
%%distsuffix        %distsuffix\
\
# productid variable\
%%product_id %{product_id_base},product=%{1}\
\
%%product_vendor        %product_vendor\
%%product_distribution  %product_distribution\
%%product_type          %product_type\
%%product_version       %product_version\
%%product_branch        %product_branch\
%%product_release       %product_release\
%%product_arch          %product_arch\
%%product_product       %1\
\
 %{?unstable}\
EOF\
 \
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig \
cat > %{buildroot}%{_sysconfdir}/sysconfig/system << EOF \
SECURITY=3\
CLASS=beginner\
LIBSAFE=no\
META_CLASS=download\
EOF\


%release_package -s Flash
Conflicts:	mandriva-release-Free mandriva-release-One mandriva-release-Powerpack mandriva-release-Mini
%release_package -s Free
Conflicts:	mandriva-release-Flash mandriva-release-One mandriva-release-Powerpack mandriva-release-Mini
%release_package -s One
Conflicts:	mandriva-release-Flash mandriva-release-Free mandriva-release-Powerpack mandriva-release-Mini
%release_package -s Powerpack
Conflicts:	mandriva-release-Flash mandriva-release-Free mandriva-release-One mandriva-release-Mini
%release_package -s Mini
Conflicts:	mandriva-release-Flash mandriva-release-Free mandriva-release-One mandriva-release-Powerpack

%release_descr -s Flash
%release_descr -s Free
%release_descr -s One
%release_descr -s Powerpack
%release_descr -s Mini

%triggerpostun -n mandriva-release-common -- mandriva-release < 2007.1
perl -pi -e "s/(META_CLASS=)server$/\\1powerpack/" %{_sysconfdir}/sysconfig/system

%triggerpostun -n mandriva-release-common -- mandriva-release-common < 2008.0-0.17
perl -pi -e "s/(META_CLASS=)server$/\\1powerpack/" %{_sysconfdir}/sysconfig/system

%prep
%setup -q -n %{name}

cp -a %{SOURCE3} CREDITS
cp -a %{SOURCE4} release-notes.txt
cp -a %{SOURCE5} release-notes.html

cat > README.urpmi << EOF
This is Mandriva Linux %version

You can find the release notes in %_docdir/%name-common/release-notes.txt

or on the web at http://wiki.mandriva.com/en/%{version}_Notes
EOF

# check that CREDITS file is in UTF-8, fail otherwise
if iconv -f utf-8 -t utf-8 < CREDITS > /dev/null
then
	true
else
	echo "the CREDITS file *MUST* be encoded in UTF-8"
	echo "please fix it before continuing"
	false
fi

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/product.id

echo "%{distribution} release %{realversion} (%{distrib}) for %{_target_cpu}" > %{buildroot}%{_sysconfdir}/mandriva-release
ln -sf mandriva-release %{buildroot}%{_sysconfdir}/redhat-release
ln -sf mandriva-release %{buildroot}%{_sysconfdir}/mandrake-release
ln -sf mandriva-release %{buildroot}%{_sysconfdir}/release
ln -sf mandriva-release %{buildroot}%{_sysconfdir}/mandrakelinux-release
echo "%{version}.0 %{rel} %{distname}" > %{buildroot}%{_sysconfdir}/version

# (tpg) follow standard specifications http://0pointer.de/blog/projects/os-release
cat > %{buildroot}%{_sysconfdir}/os-release << EOF
NAME="%{distribution}"
VERSION="%{product_product} %{realversion} %{distrib}"
ID=mandriva
VERSION_ID=%{realversion}
PRETTY_NAME="%{distribution} %{product_product} %{realversion} %{distrib}"
ANSI_COLOR="1;43"
CPE_NAME="cpe:/o:mandriva:mandrivalinux:%{realversion}"
HOME_URL="http://www.mandriva.org/"
BUG_REPORT_URL="https://qa.mandriva.com/"
EOF

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/10mandriva-release.csh << EOF
if ( -r %{_sysconfdir}/sysconfig/system ) then
	eval `sed 's|^#.*||' %{_sysconfdir}/sysconfig/system | sed 's|\([^=]*\)=\([^=]*\)|set \1=\2|g' | sed 's|$|;|' `
	setenv META_CLASS $META_CLASS
else
	setenv META_CLASS unknown
endif
EOF

cat > %{buildroot}%{_sysconfdir}/profile.d/10mandriva-release.sh << EOF
if [ -r %{_sysconfdir}/sysconfig/system ]; then
	. %{_sysconfdir}/sysconfig/system
	export META_CLASS
else
	export META_CLASS=unknown
fi
EOF

%release_install Flash Flash
%release_install Free Free
%release_install One One
%release_install Powerpack Powerpack
%release_install Mini Mini


%check
%if %{am_i_cooker}
case %release in
    0.*) ;;
    *)
    echo "Cooker distro should have this package with release < %{mkrel 1}"
    exit 1
    ;;
esac
%endif

%release_post -s Flash
%release_post -s Free
%release_post -s One
%release_post -s Powerpack
%release_post -s Mini

%define release_files(s:) \
%files %{-s:%{-s*}} \
%{_sys_macros_dir}/%{1}.macros \
%{_sysconfdir}/product.id.%1

%release_files -s Flash Flash
%release_files -s Free Free
%release_files -s One One
%release_files -s Powerpack Powerpack
%release_files -s Mini Mini


%files common
%doc CREDITS distro.txt README.urpmi release-notes.*
%ghost %{_sysconfdir}/product.id
%{_sysconfdir}/*-release
%{_sysconfdir}/release
%{_sysconfdir}/version
%{_sysconfdir}/profile.d/10mandriva-release.sh
%{_sysconfdir}/profile.d/10mandriva-release.csh
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/sysconfig/system


%changelog
* Sat Jul 14 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2012.0-0.5
+ Revision: 809296
- fix os-release syntax

* Fri Jul 13 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:2012.0-0.4
+ Revision: 809153
- clean up just a little bit at least
- package /etc/product.id in -common package in stead of in all other subpkgs
- workaround rpm bug triggered by lines starting with '%%_'
- just define %%mdvver as %%mdkver rather than duplicating it's value

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - provide /etc/os-release witha a standarised form (needed for systemd)- add conflicts on old systemd version
    - add requires on lsb-release
    - hard spec file clean
    - add symlink to /etc/os-release

* Thu Jul 07 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2012.0-0.3
+ Revision: 689155
- Validated by eugeni so go back to 2012.0

* Thu Jul 07 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2011.0-0.2
+ Revision: 689123
- Rollback to 2011.0 for now

* Thu Jul 07 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 2012.0-0.2
+ Revision: 689069
- Clean spec file

* Thu Jul 07 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 2012.0-0.1
+ Revision: 689068
- Say hello to mdv 2012

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 2011.0-0.2
+ Revision: 666388
- mass rebuild

* Fri Jul 09 2010 Nicolas Vigier <nvigier@mandriva.com> 2011.0-0.1mdv2011.0
+ Revision: 549873
- switch to 2011.0 devel version

* Mon Jun 28 2010 Anne Nicolas <ennael@mandriva.org> 2010.1-0.10mdv2010.1
+ Revision: 549288
- update release notes
- switch to official

* Thu Jun 17 2010 Anne Nicolas <ennael@mandriva.org> 2010.1-0.9mdv2010.1
+ Revision: 548203
- update release notes

* Tue Jun 08 2010 Anne Nicolas <ennael@mandriva.org> 2010.1-0.8mdv2010.1
+ Revision: 547290
- Switch back to devel release while final one is not out

* Wed May 26 2010 Anne Nicolas <ennael@mandriva.org> 2010.1-0.7mdv2010.1
+ Revision: 546308
- update release notes

* Wed May 26 2010 Antoine Ginies <aginies@mandriva.com> 2010.1-0.6mdv2010.1
+ Revision: 546123
- update releases notes
- BUMP release

* Tue May 25 2010 Anne Nicolas <ennael@mandriva.org> 2010.1-0.5mdv2010.1
+ Revision: 545984
- switch to official release

* Tue May 25 2010 Anne Nicolas <ennael@mandriva.org> 2010.1-0.4mdv2010.1
+ Revision: 545947
- update release notes

* Tue May 18 2010 Antoine Ginies <aginies@mandriva.com> 2010.1-0.3mdv2010.1
+ Revision: 545204
- update release notes

* Thu May 06 2010 Anne Nicolas <ennael@mandriva.org> 2010.1-0.2mdv2010.1
+ Revision: 542860
- update release notes

  + Thierry Vignaud <tv@mandriva.org>
    - take release notes for 2010.1 when updating them

* Thu Nov 05 2009 Anne Nicolas <ennael@mandriva.org> 2010.1-0.1mdv2010.1
+ Revision: 460514
- switch to 2010.1 devel version

  + Rémy Clouard <shikamaru@mandriva.org>
    - add contributors

  + Jérôme Quelin <jquelin@mandriva.org>
    - current version is mandriva 2010
    - adding myself to credits (a bit late)

* Thu Oct 29 2009 Anne Nicolas <ennael@mandriva.org> 2010.0-0.5mdv2010.0
+ Revision: 460075
- switch to official
- update release-notes

* Mon Oct 26 2009 Anne Nicolas <ennael@mandriva.org> 2010.0-0.4mdv2010.0
+ Revision: 459391
- update release notes

* Thu Oct 15 2009 Thierry Vignaud <tv@mandriva.org> 2010.0-0.3mdv2010.0
+ Revision: 457580
- 2010.0 release notes
- update build rules for release-notes.txt
- retrieve 2010.0 release notes

* Fri May 01 2009 Gustavo De Nardin <gustavodn@mandriva.com> 2010.0-0.1mdv2010.0
+ Revision: 369188
- opening season for 2010.0

* Thu Apr 23 2009 Thierry Vignaud <tv@mandriva.org> 2009.1-1mdv2009.1
+ Revision: 368789
- final release

  + Anne Nicolas <ennael@mandriva.org>
    - update release notes

* Wed Apr 22 2009 Anne Nicolas <ennael@mandriva.org> 2009.1-0.8mdv2009.1
+ Revision: 368721
- update release notes

  + Thierry Vignaud <tv@mandriva.org>
    - update release notes

* Thu Apr 02 2009 Antoine Ginies <aginies@mandriva.com> 2009.1-0.7mdv2009.1
+ Revision: 363484
- sync to latest info available on the wiki

  + Thierry Vignaud <tv@mandriva.org>
    - add two italian translators
    - add Gergely Lonyai as Hungarian (magyar) translator

  + Anssi Hannula <anssi@mandriva.org>
    - add Mika Nieminen and Jani V?\195?\164limaa as Finnish translators

* Thu Mar 26 2009 Thierry Vignaud <tv@mandriva.org> 2009.1-0.6mdv2009.1
+ Revision: 361435
- update release notes
- restore Makefile wrongly dropped by aginies in r353072

* Mon Mar 09 2009 Antoine Ginies <aginies@mandriva.com> 2009.1-0.5mdv2009.1
+ Revision: 353072
- update releases notes

* Mon Feb 09 2009 Antoine Ginies <aginies@mandriva.com> 2009.1-0.4mdv2009.1
+ Revision: 338985
- bump release
- update to 2009 spring

* Wed Nov 26 2008 Olivier Blin <blino@mandriva.org> 2009.1-0.3mdv2009.1
+ Revision: 306952
- add mandriva-release-Mini

* Fri Oct 10 2008 Pixel <pixel@mandriva.com> 2009.1-0.2mdv2009.1
+ Revision: 291328
- mandriva-release-XXX must require mandriva-release-common of the same arch to
  ensure noone installs i586 version instead of x86_64 when mirrors are not in
  sync (#44742)

* Wed Oct 08 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.1-0.1mdv2009.1
+ Revision: 291217
- Mandriva 2009.1, here we come

* Thu Oct 02 2008 Antoine Ginies <aginies@mandriva.com> 2009.0-0.10mdv2009.0
+ Revision: 290846
- no more cooker, official branch

* Tue Sep 30 2008 Antoine Ginies <aginies@mandriva.com> 2009.0-0.9mdv2009.0
+ Revision: 290113
- fix product_branch var

  + Thierry Vignaud <tv@mandriva.org>
    - update release notes

* Fri Sep 19 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-0.8mdv2009.0
+ Revision: 285967
- update release notes

* Wed Sep 17 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-0.7mdv2009.0
+ Revision: 285560
- fix release notes URL in post script (#43960)

* Tue Sep 16 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-0.6mdv2009.0
+ Revision: 285332
- update release notes
- fix 2008 mention in CREDIT files (#43705)

* Wed Aug 20 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-0.5mdv2009.0
+ Revision: 274254
- update release notes

* Tue Aug 19 2008 Antoine Ginies <aginies@mandriva.com> 2009.0-0.4mdv2009.0
+ Revision: 273685
- bump release
- udpate release notes

* Wed Aug 13 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-0.3mdv2009.0
+ Revision: 271529
- update release notes
- fix generating text release notes

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-0.2mdv2009.0
+ Revision: 251115
- update

* Tue Apr 08 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-0.1mdv2009.0
+ Revision: 192354
- prepare to reopen cooker

* Thu Apr 03 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-0.11mdv2008.1
+ Revision: 192225
- final release

* Wed Apr 02 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-0.10mdv2008.1
+ Revision: 191718
- spring will arrive soon :)

  + Thierry Vignaud <tv@mandriva.org>
    - update release notes

* Fri Mar 28 2008 Thierry Vignaud <tv@mandriva.org> 2008.1-0.9mdv2008.1
+ Revision: 190910
- update release notes

* Thu Mar 13 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-0.8mdv2008.1
+ Revision: 187507
- update release notes, update distname

* Mon Mar 03 2008 Thierry Vignaud <tv@mandriva.org> 2008.1-0.7mdv2008.1
+ Revision: 178121
- update release notes
- fix stripping text version of release notes

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 2008.1-0.6mdv2008.1
+ Revision: 166318
- update release notes

* Thu Jan 24 2008 Thierry Vignaud <tv@mandriva.org> 2008.1-0.5mdv2008.1
+ Revision: 157584
- update release notes

* Tue Jan 15 2008 Pixel <pixel@mandriva.com> 2008.1-0.4mdv2008.1
+ Revision: 152814
- add provide arch(_target_cpu) (cf #32631)

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - no executable bit on profile scriptlets
      use herein documents instead of additional sources

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org> 2008.1-0.2mdv2008.1
+ Revision: 136359
- require coreutils for post scripts (so that /etc/product.id gets created in chroots)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - use %%am_i_cooker again
    - prevent errors on branching official/cooker

* Mon Oct 08 2007 Thierry Vignaud <tv@mandriva.org> 2008.1-0.1mdv2008.1
+ Revision: 95705
- cooker strikes back
- add one italian translators (from Andrea Celli)

* Fri Oct 05 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-5mdv2008.0
+ Revision: 95573
- update release notes
- add Tor Lundberg (screensavers images)

* Thu Oct 04 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-4mdv2008.0
+ Revision: 95476
- really package HTML release notes

* Thu Oct 04 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-3mdv2008.0
+ Revision: 95466
- update release notes

* Thu Oct 04 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-2mdv2008.0
+ Revision: 95437
- update release notes

* Thu Oct 04 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-1mdv2008.0
+ Revision: 95307
- Say hello to Mr Brahe..

* Wed Oct 03 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-0.17mdv2008.0
+ Revision: 95015
- migrate Powerpack+ configuration on update

* Wed Oct 03 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-0.16mdv2008.0
+ Revision: 95007
- updated release notes
- move obsoletes of powerpack+ & discovery into common subpackage

  + Anssi Hannula <anssi@mandriva.org>
    - add myself as Finnish translator in CREDITS
    - fix case of suomi in CREDITS

* Thu Sep 27 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-0.15mdv2008.0
+ Revision: 93321
- kill Discovery & Powerpack+ flavors

* Wed Sep 26 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-0.14mdv2008.0
+ Revision: 93186
- package a cleaned HTML copy of release-notes for installer & One
- add another italian translator

* Tue Sep 25 2007 Pixel <pixel@mandriva.com> 2008.0-0.13mdv2008.0
+ Revision: 92832
- re-submit with youri unpack rule for release-notes.txt (to fix #33933)

* Tue Sep 25 2007 Pixel <pixel@mandriva.com> 2008.0-0.12mdv2008.0
+ Revision: 92759
- re-submit with youri unpack rule for release-notes.txt (to fix #33933)

* Mon Sep 24 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-0.11mdv2008.0
+ Revision: 92590
- update release notes

* Wed Sep 19 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-0.10mdv2008.0
+ Revision: 90947
- list You-Cheng Hsieh as Traditional Chinese translator
- add 2 more dutch translators
- auto-generate README.urpmi
- s/2007/2008/ in urpmi update info
- update release notes

* Wed Sep 19 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-0.9mdv2008.0
+ Revision: 90841
- revert
- yukiko doesn't contribute but do test IM and translate; kill "(part time)"
- add a check rule
- fix encoding
- add z?\195?\169
- add Austin Acton's last name
- fix Per Oyvind Karlsen name
- add 4 Norwegian Bokm?\195?\165l translators (Per ?\195?\152yvind Karlsen)
- fix Norwegian naming (Per ?\195?\152yvind Karlsen)
- add Dotan Kamber (hebrew translator since 2007.1
- add 3 more dutch translators (requested by Reinout van Schouwen on cooker-i18n)
- add UTUMI Hirosi who helped us a lot for IM

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add french translator

* Thu Sep 13 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-0.7mdv2008.0
+ Revision: 84962
- update release notes for 2008.0 from wiki
- automate release-notes dumping from wiki
- kill mandriva release field in translator & contributor list (duplicated data &
  wasn't homogeneous)
- s/2007/2008/
- add a full name along an email

* Wed Aug 22 2007 Pixel <pixel@mandriva.com> 2008.0-0.6mdv2008.0
+ Revision: 69135
- moving Obsoletes to mandriva-release-common (#30093)
- only the mandriva-release-Free obsoletes mandriva-release (#30093)
  (it is a bit too precise for upgrading from 2006.0, but it's still better than
  current urpmi behaviour)

* Tue Jul 31 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-0.4mdv2008.0
+ Revision: 56802
- bump release
- enhanced descriptions
- fix mandriva-release-common description (#31796)

* Wed Jul 04 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-0.3mdv2008.0
+ Revision: 48120
- bump release
- fix doc path with new mdv-mandriva-setup
- fix czech spelling (Michal Bukovjan)

* Mon Jun 25 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-0.2mdv2008.0
+ Revision: 44022
- bump release
- prevent breaking scp/rsh in corner cases (#30017)
- use relative link for /etc/product.id (ie for chroots)

* Tue Apr 17 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-0.1mdv2008.0
+ Revision: 13552
- cooker is back


* Tue Apr 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-3mdv2007.1
+ Revision: 150417
- bump release
- resync with wiki's releases notes (mainly moves & renames but addition
  of "General information about new features and major changes")

* Tue Apr 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-2mdv2007.1
+ Revision: 150392
- bump release
- move README.urpmi out of tarball and update it (#30061)
- further versionning changes (ala #30061)
- move releases-notes out of tarball and update them (#30061)

* Tue Apr 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-1mdv2007.1
+ Revision: 150333
- final release
- enforce META_CLASS not being expanded like in 2007.0
- remove extra spaces at end of lines
- add missing contributors (#30073)

* Sun Apr 01 2007 Pixel <pixel@mandriva.com> 2007.1-0.6mdv2007.1
+ Revision: 150139
- remove the require mandriva-release-common -> mandriva-release
  this helps rpm/urpmi install mandriva-release-common before
  mandriva-release-*, and so /etc/sysconfig/system pb disappear (#30013)
- remove explicit conflict on the obsoleted version, that's unneeded

* Sat Mar 31 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-0.5mdv2007.1
+ Revision: 150065
- bump release
- bump release
- add explicit conflicts on mandriva-release in order to help urpmi (which will
  ask a question in interactive mode)
- remove unversionnated provides on mandriva-release
- add Flash support

  + Anssi Hannula <anssi@mandriva.org>
    - fix typo in CREDITS

* Thu Mar 29 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-0.3mdv2007.1
+ Revision: 149640
- bump release
- all mandriva-release-* packages are generated from the same spec file
- fix upgrading (#29842, #27864)
- move common files in -common sub package
- make it consistant
- sort
- help emacs
- fix giuseppe name (#29973)
- add Buchan Milne & Angelo Naselli (#29394)
- move CREDITS out of tarball and fix bad Translatros lines (#17490)

* Mon Dec 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-0.2mdv2007.1
+ Revision: 90486
- kill icon
- strip emails off of CREDITS

  + Warly <warly@mandriva.com>
    - post 2007.0
    - update release-notes
    - add provides mandriva-release, to help generation of product specific mandriva-release
    - convert CREDITS into utf8
    - final mandriva-release
    - update distro and credits, add release notes
    - rc2
    - rc 1

* Tue Aug 29 2006 Warly <warly@mandriva.com> 2007.0-0.12mdv2007.0
+ Revision: 58326
- update distro.txt for new beta
- new release for beta 3

  + Olivier Blin <oblin@mandriva.com>
    - clean buildroot

* Sun Aug 27 2006 Olivier Blin <oblin@mandriva.com> 2007.0-0.11mdv2007.0
+ Revision: 58168
- fix typo in sh profile script

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2007.0-0.10mdv2007.0
+ Revision: 56652
- Add profile.d script to export META_CLASS (needed for csh shells)

* Mon Aug 14 2006 Warly <warly@mandriva.com> 2007.0-0.9mdv2007.0
+ Revision: 55804
- updated for beta 2

* Fri Jul 28 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.7mdv2007.0
+ Revision: 42339
- set distribution into macro file (not vendor)
- provide product* variable as macros, included product_id
- factorize some change
- 0.7
- Import mandriva-release

* Fri Jul 28 2006 Warly <warly@mandriva.com> 2007.0-0.6mdv2007.0
- reintroduct product.id

* Thu Jul 27 2006 Warly <warly@mandriva.com> 2007.0-0.5mdv2007.0
- beta 1

* Sun Jun 18 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.4mdv2007.0
- provide a default /etc/sysconfig/system

* Fri May 26 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.3mdv2007.0
- after checking properly, no reason to not use %%mkrel now

* Fri May 26 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.2mdv2007
- use new release tag schema

* Thu May 25 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.1mdk
- 2007 is on the road

* Mon Jan 30 2006 Warly <warly@mandriva.com> 2006.1-0.4mdk
- add mdvver macro

* Sat Oct 01 2005 Warly <warly@mandriva.com> 2006.1-0.3mdk
- Cooker snaphost

* Sat Oct 01 2005 Warly <warly@mandriva.com> 2006.1-0.2mdk
- complete distro.txt
- correct distrib name

* Sat Oct 01 2005 Warly <warly@mandriva.com> 2006.1-0.1mdk
- 2006.1 beta

* Sat Oct 01 2005 Warly <warly@mandriva.com> 2006.0-2mdk
- update CREDITS

* Wed Sep 21 2005 Warly <warly@mandriva.com> 2006.0-1mdk
- 2006.0 Official

* Tue Sep 13 2005 Warly <warly@mandriva.com> 2006.0-0.5mdk
- rc2

* Fri Jul 01 2005 Eskild Hustvedt <eskild@mandriva.org> 2006.0-0.4mdk
- Fixed URL

* Wed Jun 29 2005 Olivier Thauvin <nanardon@mandriva.org> 2006.0-0.3mdk
- create /etc/rpm/macros.d/%%name.macros
- set _with_unstable by default for cooker

* Tue Apr 19 2005 Warly <warly@mandrakesoft.com> 2006.0-0.2mdk
- Mandriva Linux is better than Mandriva

* Tue Apr 19 2005 Warly <warly@mandrakesoft.com> 2006.0-0.1mdk
- add a .0 to the version

* Sat Apr 16 2005 Warly <warly@mandriva.com> 2006-1mdk
- Mandriva 2006 Cooker

* Thu Mar 17 2005 Warly <warly@mandrakesoft.com> 10.2-0.6mdk
- Limited Edition 2005 RC2

* Wed Mar 09 2005 Warly <warly@mandrakesoft.com> 10.2-0.5mdk
- 10.2 rc1

* Tue Feb 22 2005 Warly <warly@mandrakesoft.com> 10.2-0.4mdk
- 10.2 beta3

* Fri Feb 04 2005 Warly <warly@mandrakesoft.com> 10.2-0.3mdk
- 10.2 beta 2

* Tue Feb 01 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 10.2-0.2mdk
- added test to make build fail if CREDITS file is not in utf-8

* Tue Nov 09 2004 Warly <warly@mandrakesoft.com> 10.2-0.1mdk
- oops

* Mon Nov 08 2004 Warly <warly@mandrakesoft.com> 10.2-1mdk
- Cooker 10.2

* Wed Oct 06 2004 Warly <warly@mandrakesoft.com> 10.1-2mdk
- Mandrakelinux 10.1 Official

* Wed Oct 06 2004 Warly <warly@mandrakesoft.com> 10.1-1.1mdk
- Test update for 10.1

* Tue Sep 14 2004 Warly <warly@mandrakesoft.com> 10.1-1mdk
- Mandrakelinux 10.1 Community

* Sat Sep 04 2004 Warly <warly@mandrakesoft.com> 10.1-0.7mdk
- Mandrakelinux 10.1 RC 1

* Fri Aug 20 2004 Warly <warly@mandrakesoft.com> 10.1-0.6mdk
- Mandrakelinux 10.1 beta 2

* Fri Jul 30 2004 Warly <warly@mandrakesoft.com> 10.1-0.5mdk
- Mandrakelinux 10.1 beta 1

* Fri Jul 16 2004 Warly <warly@mandrakesoft.com> 10.1-0.4mdk
- Mandrakelinux 10.1 alpha 1

* Sat Jul 03 2004 Warly <warly@mandrakesoft.com> 10.1-0.3mdk
- add a /etc/release file

* Wed May 12 2004 Warly <warly@mandrakesoft.com> 10.1-0.2mdk
- new package name

